package com.tofly.third.common.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("智能表抄表结算返回")
public class ZnbRes {

    @ApiModelProperty("指令ID")
    private String zlId;

    @ApiModelProperty("水表编号")
    private String bjbh;

    @ApiModelProperty("账户余额")
    private String zhye;

    @ApiModelProperty("阀控指令值: 0-关阀 1-开阀")
    private String zlvalue;

    public static ZnbRes buildByZlLog(String bjbh, String zhye, String zlvalue) {
        ZnbRes znbRes = new ZnbRes();
        znbRes.setBjbh(bjbh);
        znbRes.setZhye(zhye);
        znbRes.setZlvalue(zlvalue);
        return znbRes;
    }

}
